
import java.sql.*;

public class JdbcOdbcConnectivity {

    static private final String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
    static private final String connection = "jdbc:odbc:emp";

    public static void main(String args[]) {

        Connection con = null;
        Statement st = null;
        ResultSet rs = null;
        ResultSetMetaData metaData = null;

        try {
            Class.forName(driver);
            con = DriverManager.getConnection(connection);

            st = con.createStatement();

            String sql = "select * from Employees";
            rs = st.executeQuery(sql);
            metaData = rs.getMetaData();

            int rowCount = metaData.getColumnCount();

            System.out.println("Table Name : " +
                    metaData.getTableName(rowCount));

            System.out.println("Field\t\t" +"Type");
            System.out.println("--------------------");
            for (int i = 0; i < rowCount; i++) {
                System.out.print( metaData.getColumnName(i+1)+"\t");
                System.out.println(" "+metaData.getColumnDisplaySize(i+1));

            }

            con.close();
        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
